All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.navigationbar
Class NavigationBarScrollingElementTag

    com.sas.taglib.servlet.tbeans.navigationbar.NavigationBarScrollingElementTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  NavigationBarColumnScrollingElementTag, NavigationBarRowScrollingElementTag

    public class NavigationBarScrollingElementTag

The base tag for the NavigationBarScrollingElement.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationTag
`DEFAULT_CLIENT_INFO_INSTANCE, HDML, HTML, WML`

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, RB_KEY, REQUEST, SESSION`

Constructor Summary
`NavigationBarScrollingElementTag()`

Method Summary
`protected void` | `applyAttributes()` Apply TableView properties to the underlying NavigationBarScrollingElement object
`java.lang.String` | `getGotoFieldLabel()` Returns the gotoFieldLabel property on the NavigationBarScrollingElement.
`java.lang.String` | `getMessageOrientation()` Returns the messageOrientation property on the NavigationBarScrollingElement.
`java.lang.String` | `getMessageTemplate()` Returns the messageTemplate property on the NavigationBarScrollingElement.
`java.lang.String` | `getURLTemplate()` Returns the Viewer's URLTemplate String name
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isFirstVisible()` Returns the firstVisible property on the NavigationBarScrollingElement.
`boolean` | `isGotoFieldInMessage()` Returns the gotoFieldInMessage property on the NavigationBarScrollingElement.
`boolean` | `isGotoFieldVisible()` Returns the gotoFieldVisible property on the NavigationBarScrollingElement.
`boolean` | `isLastVisible()` Returns the lastVisible property on the NavigationBarScrollingElement.
`boolean` | `isNextVisible()` Returns the nextVisible property on the NavigationBarScrollingElement.
`boolean` | `isPageBackwardVisible()` Returns the pageBackwardVisible property on the NavigationBarScrollingElement.
`boolean` | `isPageForwardVisible()` Returns the pageForwardVisible property on the NavigationBarScrollingElement.
`boolean` | `isPreviousVisible()` Returns the previousVisible property on the NavigationBarScrollingElement.
`void` | `setFirstVisible(boolean visible)` Sets the firstVisible property on the NavigationBarScrollingElement.
`void` | `setGotoFieldInMessage(boolean inMessage)` Sets the gotoFieldInMessage property on the NavigationBarScrollingElement.
`void` | `setGotoFieldLabel(java.lang.String label)` Sets the gotoFieldLabel property on the NavigationBarScrollingElement.
`void` | `setGotoFieldVisible(boolean visible)` Sets the gotoFieldVisible property on the NavigationBarScrollingElement.
`void` | `setLastVisible(boolean visible)` Sets the lastVisible property on the NavigationBarScrollingElement.
`void` | `setMessageOrientation(java.lang.String orientation)` Sets the messageOrientation property on the NavigationBarScrollingElement.
`void` | `setMessageTemplate(java.lang.String template)` Sets the messageTemplate String that is used to generate this element's message.
`void` | `setNextVisible(boolean visible)` Sets the nextVisible property on the NavigationBarScrollingElement.
`void` | `setPageBackwardVisible(boolean visible)` Sets the pageBackwardVisible property on the NavigationBarScrollingElement.
`void` | `setPageForwardVisible(boolean visible)` Sets the pageForwardVisible property on the NavigationBarScrollingElement.
`void` | `setPreviousVisible(boolean visible)` Sets the previousVisible property on the NavigationBarScrollingElement.
`void` | `setURLTemplate(java.lang.String urlTemplate)` Sets the Viewer's URLTemplate

Methods inherited from class com.sas.taglib.servlet.tbeans.navigationbar.BaseNavigationBarElementTag
`doEndTag, getModel, getStyleClassPrefix, setModel, setStyleClassPrefix`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseActionTransformationTag
`getActionProvider, setActionProvider`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationTag
`doStartTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseTag
`convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### NavigationBarScrollingElementTag

    public NavigationBarScrollingElementTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseNavigationBarElementTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setURLTemplate

    public void setURLTemplate(java.lang.String urlTemplate)

  Sets the Viewer's URLTemplate

  Parameters:
    `URLTemplate` - The Viewer's URLTemplate. This is the template pattern String used in the URL.

### getURLTemplate

    public java.lang.String getURLTemplate()

  Returns the Viewer's URLTemplate String name

  Returns:
    the Viewer's URLTemplate String name. This is the template pattern String used in the URL.

### isFirstVisible

    public boolean isFirstVisible()

  Returns the firstVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the first action should be displayed when the NavigationBarScrollingElement is rendered

### setFirstVisible

    public void setFirstVisible(boolean visible)

  Sets the firstVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the first action will be displayed when the NavigationBarScrollingElement is rendered.

### isPageBackwardVisible

    public boolean isPageBackwardVisible()

  Returns the pageBackwardVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the pageBackward action should be displayed when the NavigationBarScrollingElement is rendered

### setPageBackwardVisible

    public void setPageBackwardVisible(boolean visible)

  Sets the pageBackwardVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the pageBackward action will be displayed when the NavigationBarScrollingElement is rendered.

### isPreviousVisible

    public boolean isPreviousVisible()

  Returns the previousVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the previous action should be displayed when the NavigationBarScrollingElement is rendered

### setPreviousVisible

    public void setPreviousVisible(boolean visible)

  Sets the previousVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the previous action will be displayed when the NavigationBarScrollingElement is rendered.

### isNextVisible

    public boolean isNextVisible()

  Returns the nextVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the next action should be displayed when the NavigationBarScrollingElement is rendered

### setNextVisible

    public void setNextVisible(boolean visible)

  Sets the nextVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the next action will be displayed when the NavigationBarScrollingElement is rendered.

### isPageForwardVisible

    public boolean isPageForwardVisible()

  Returns the pageForwardVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the pageForward action should be displayed when the NavigationBarScrollingElement is rendered

### setPageForwardVisible

    public void setPageForwardVisible(boolean visible)

  Sets the pageForwardVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the pageForward action will be displayed when the NavigationBarScrollingElement is rendered.

### isLastVisible

    public boolean isLastVisible()

  Returns the lastVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the last action should be displayed when the NavigationBarScrollingElement is rendered

### setLastVisible

    public void setLastVisible(boolean visible)

  Sets the lastVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the last action will be displayed when the NavigationBarScrollingElement is rendered.

### setGotoFieldVisible

    public void setGotoFieldVisible(boolean visible)

  Sets the gotoFieldVisible property on the NavigationBarScrollingElement.

  Parameters:
    `visible` - If true, then the gotoField action will be displayed when the NavigationBarScrollingElement is rendered.

### isGotoFieldVisible

    public boolean isGotoFieldVisible()

  Returns the gotoFieldVisible property on the NavigationBarScrollingElement.

  Returns:
    true if the last gotoField should be displayed when the NavigationBarScrollingElement is rendered

### setGotoFieldInMessage

    public void setGotoFieldInMessage(boolean inMessage)

  Sets the gotoFieldInMessage property on the NavigationBarScrollingElement.

  Parameters:
    `inMessage` - If true, then the gotoField should be displayed in the NavigationBarScrollingElement's message when the element is rendered.

### isGotoFieldInMessage

    public boolean isGotoFieldInMessage()

  Returns the gotoFieldInMessage property on the NavigationBarScrollingElement.

  Returns:
    true if the last gotoField should be displayed is the element's message when the NavigationBarScrollingElement is rendered

### setGotoFieldLabel

    public void setGotoFieldLabel(java.lang.String label)

  Sets the gotoFieldLabel property on the NavigationBarScrollingElement.

  Parameters:
    `label` - Sets the label used with the goto field when displaying the goto field.

### getGotoFieldLabel

    public java.lang.String getGotoFieldLabel()

  Returns the gotoFieldLabel property on the NavigationBarScrollingElement.

  Returns:
    the label used with the goto field when displaying the goto field

### setMessageOrientation

    public void setMessageOrientation(java.lang.String orientation)

  Sets the messageOrientation property on the NavigationBarScrollingElement.

  Parameters:
    `orientation` - The position to display the scrolling element's message in reference to the scrolling actions. Valid values are TOP, BOTTOM, LEFT, RIGHT, and CENTER. If not set, the default is CENTER which will display the messages between the forward and backward scrolling actions.

### getMessageOrientation

    public java.lang.String getMessageOrientation()

  Returns the messageOrientation property on the NavigationBarScrollingElement.

  Returns:
    the positioning of the element's message in reference to the scrolling actions

### setMessageTemplate

    public void setMessageTemplate(java.lang.String template)

  Sets the messageTemplate String that is used to generate this element's message.

  Parameters:
    `template` - The String used as a template which is used to generatate the scrolling element's message. For example, when using a NavigationBarRowScrollingElement, to generate a message of the form: "Rows 1 - 10 of 100", you would set the messageTemplate to: "Rows %STARTROW - %ENDROW of %ROWCOUNT". If isGotoFieldInMessage is true, then the gotoField will be used as the substitute value for %STARTROW.

### getMessageTemplate

    public java.lang.String getMessageTemplate()

  Returns the messageTemplate property on the NavigationBarScrollingElement. The messageTemplate String is used to generate the scrolling element's message.

  Returns:
    the messageTemplate String used to generate the scrolling element's message

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Apply TableView properties to the underlying NavigationBarScrollingElement object

  Overrides:
    `applyAttributes` in class `BaseNavigationBarElementTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.